Bug 1267757 - SELinux is preventing /usr/bin/composite from 'unlink' accesses on the file magicko8Azop.
SELinux is preventing /usr/bin/composite from 'unlink' accesses on the file m...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
22
x86_64 Unspecified
low Severity low
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:68049c1f68f6a61fdb6c3c96dad...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-30 17:26 EDT by edo
Modified: 2016-07-19 16:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:55:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description edo 2015-09-30 17:26:51 EDT
Description of problem:
SELinux is preventing /usr/bin/composite from 'unlink' accesses on the file magicko8Azop.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that composite should be allowed unlink access on the magicko8Azop file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep composite /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:user_home_dir_t:s0
Target Objects                magicko8Azop [ file ]
Source                        composite
Source Path                   /usr/bin/composite
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           ImageMagick-6.8.8.10-9.fc22.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-128.16.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.1.8-200.fc22.x86_64 #1 SMP Tue
                              Sep 22 12:13:21 UTC 2015 x86_64 x86_64
Alert Count                   10
First Seen                    2015-05-21 10:05:22 CEST
Last Seen                     2015-09-30 16:57:20 CEST
Local ID                      81f50985-c90c-44d1-b1c2-20d6a34c24da

Raw Audit Messages
type=AVC msg=audit(1443625040.961:800): avc:  denied  { unlink } for  pid=3840 comm="composite" name="magicko8Azop" dev="dm-2" ino=15994226 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=file permissive=1


type=SYSCALL msg=audit(1443625040.961:800): arch=x86_64 syscall=unlink success=yes exit=0 a0=20c0e10 a1=c2 a2=0 a3=0 items=0 ppid=3819 pid=3840 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=tty2 ses=1 comm=composite exe=/usr/bin/composite subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)

Hash: composite,thumb_t,user_home_dir_t,file,unlink

Version-Release number of selected component:
selinux-policy-3.13.1-128.16.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.1.8-200.fc22.x86_64
type:           libreport

Potential duplicate: bug 863727
Comment 1 Fedora End Of Life 2016-07-19 16:55:09 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.